Subject: Re: Building git-1.5.3.7 on HP-UX 11.00

From: "H.Merijn Brand" <[email-masked]>
Date: Tue, 4 Dec 2007 15:22:40 +0000

On Tue, 04 Dec 2007 16:14:42 +0100, Andreas Ericsson <[email-masked]> wrote:

> H.Merijn Brand wrote:
> > 
> > I also meanwhile forced copied the git binaries to my bin dir
> > 
> 
> That's no good. "make test" will test binaries residing in ..
> relative to where the tests are executed.

OK, I removed those again :)

I also removed the -ldce in the HP-UX piece, which was there to
support unsetenv, but using NO_UNSETENV seems to be safer

ifeq ($(uname_S),HP-UX)
	# HP-UX
	BASIC_LDFLAGS += -L/usr/local/ssl/lib -L/usr/local/lib
	#EXTLIBS += -ldce
	NO_HSTRERROR = YesPlease
	NO_ICONV = YesPlease
	NO_INET_NTOP = YesPlease
	NO_INET_PTON = YesPlease
	NO_UNSETENV = YesPlease
endif

causes a clean build

+ + pwd
GIT_EXEC_PATH=/pro/3gl/LINUX/git-1.5.3.7/t/..
+ + pwd
GIT_TEMPLATE_DIR=/pro/3gl/LINUX/git-1.5.3.7/t/../templates/blt
+ GIT_CONFIG=.git/config
+ export PATH GIT_EXEC_PATH GIT_TEMPLATE_DIR GIT_CONFIG
+ + pwd
+ pwd
GITPERLLIB=/pro/3gl/LINUX/git-1.5.3.7/t/../perl/blib/lib:/pro/3gl/LINUX/git-1.5.3.7/t/../perl/blib/arch/auto/Git
+ export GITPERLLIB
+ test -d ../templates/blt
+ test -x ../test-chmtime
+ test=trash
+ rm -fr trash
+ test_create_repo trash
+ cd trash
+ + expr ./t0001-init.sh : .*/\(t[0-9]*\)-[^/]*$
this_test=t0001
+ test_expect_success plain
        (
                unset GIT_DIR GIT_WORK_TREE &&
                mkdir plain &&
                cd plain &&
                git init
        ) &&
        check_config plain/.git false unset

* expecting success:
        (
                unset GIT_DIR GIT_WORK_TREE &&
                mkdir plain &&
                cd plain &&
                git init
        ) &&
        check_config plain/.git false unset

* FAIL 1: plain

                (
                        unset GIT_DIR GIT_WORK_TREE &&
                        mkdir plain &&
                        cd plain &&
                        git init
                ) &&
                check_config plain/.git false unset

/pro/3gl/LINUX/git-1.5.3.7/t 130 > ldd ../git
        /usr/lib/libc.2 =>      /usr/lib/libc.2
        /usr/lib/libdld.2 =>    /usr/lib/libdld.2
        /usr/lib/libc.2 =>      /usr/lib/libc.2
        /usr/local/ssl/lib/libcrypto.sl =>      /usr/local/ssl/lib/libcrypto.sl
        /usr/local/lib/libz.sl =>       /usr/local/lib/libz.sl

I will leave for a meeting in 30 minutes, so don't think I don't want
to communicate any further :)

Sam is pretty enthusiastic on IRC, he's to blame!

-- 
H.Merijn Brand         Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.10.x  on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.1 & 10.2, AIX 5.2, and Cygwin.       http://qa.perl.org
http://mirrors.develooper.com/hpux/            http://www.test-smoke.org
                        http://www.goldmark.org/jeff/stupid-disclaimers/